#include<bits/stdc++.h>
using namespace std;
int main()
{
	long long int n, a[200001], nom, max=-1, c=0, maxx;
	cin>>n;
	for(long long int i=1;i<=n;i++)
	{
		cin>>a[i];
		if(a[i]>max)
		{
			max=a[i];
			nom=i;
			maxx=a[i];	
		}
	}
	
	while(max!=0)
	{
		if(nom<n&&nom>1)
	{
		if(a[nom-1]>=a[nom+1])
		c+=a[nom]-a[nom+1];
		a[nom]=a[nom+1];
		a[nom-1]=a[nom+1];
		a[nom+1]=a[nom+1];
	}
	else if(nom==1)
	{
		c+=a[nom]-a[2];
		a[nom]=a[2];
	}
	else if(nom==n)
	{
		c+=a[nom]-a[n-1];
		a[nom]=a[n-1];
	}
	max=-1;
	for(long long int i=1;i<=n;i++)
	{
		if(a[i]>max)
		{
			nom=i;
			max=a[i];
			maxx=a[i];	
		}
	}
	if(maxx==max)
	{
		c+=max;
		max=0;
	}
	}
	cout<<c;
return 0;	
}
